Bug 961523 - Add testing for slave Host Controller join to domain testsuite DefaultConfigSmokeTestCase
Add testing for slave Host Controller join to domain testsuite DefaultConfigS...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management, Testsuite (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: EAP 6.1.1
Assigned To: Brian Stansberry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 15:52 EDT by Brian Stansberry
Modified: 2013-09-16 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:20:02 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1324 Major Resolved Add testing for slave Host Controller join to domain testsuite DefaultConfigSmokeTestCase 2015-12-15 11:57 EST

  None (edit)
Description Brian Stansberry 2013-05-09 15:52:23 EDT
In the managed domain test suite, there is no testing of a slave HC joining a domain using our *standard config files*. There is, of course, already testing of slaves joining a domain, but those tests use custom testsuite-specific configurations. DefaultConfigSmokeTestCase tests the "domain.xml + host.xml" config set, so a master running servers is tested. But "domain.xml + host-master.xml" is not tested nor is "host-slave.xml". These latter two can be tested in combination, and that closes the hole.

This additional testing would have caught the https://bugzilla.redhat.com/show_bug.cgi?id=961273 regression.
Comment 4 Rostislav Svoboda 2013-06-07 06:18:59 EDT
QA_ACK granted, AS TS enrichment.

Note You need to log in before you can comment on or make changes to this bug.